maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tarun Ramakrishna" <lenk...@gmail.com>
Subject Re: SureFire plugin doesn't support Junit 4 paramterized tests?
Date Tue, 11 Jul 2006 09:09:34 GMT
Hi all,

(Posting reply for benefit of anybody searching archives)

I found that the surefire plugin does not currently support JUnit 4.x.
This is a known issue at
http://jira.codehaus.org/browse/SUREFIRE-31

Regards,
Tarun

On 7/7/06, Tarun Ramakrishna <lenkite@gmail.com> wrote:
> Hi all,
>
> (Maven 2.0.4, Surefire 2.2)
>
> I am using the JUnit 4 @RunWith(Parameterized.Class) annotation in my
> JUnit tests for paramterized tests which takes in  a sequence of input
> data and compares against an expected output sequence.
>
> The constructors for these test classes take parameters, but it looks
> like the plugin is attempting to use the default constructor.
>
> Is this functionality supported at the moment?
>
> PLUS: Apologize for any gloopers. I am a maven newbie.
>
> All help appreciated!
> Regards, Tarun
>

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
For additional commands, e-mail: users-help@maven.apache.org


Mime
View raw message